curl --request PATCH \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "checkbox"
}
'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}"
payload = { "type": "checkbox" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'checkbox'})
};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"boundingBox": [
100,
200,
150,
50
],
"type": "checkbox",
"participantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": 123,
"required": true,
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Update Field by ID
The Update Field by ID endpoint modifies the properties of an existing field. The Field type cannot be updated. All parameters are optional.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
- Checkbox
- Company
- Custom
- Date
- Initials
- Name
- Signature
- Title
Parameters to update a Checkbox field
checkbox The page number where the field appears. Pages follow 1-based indexing, so the first page is 1.
An array of numbers in the format [x, y, w, h] that defines the field’s bounding box on the page:
x, yare the coordinates of the top-left corner, measured in points (pt).w, hare the width and height of the bounding box, also in points (pt).
For more information on calculating positions, see the Bounding Box Guide.
4 elementsA boolean that indicates whether the participant must complete the field.
The unique identifier of the participant assigned to the field.
Response
Field updated successfully
- Checkbox
- Company
- Custom
- Date
- Initials
- Name
- Signature
- Title
Response representing a Checkbox field
An array of numbers in the format [x, y, w, h] that defines the field's bounding box on the page:
x, yare the coordinates of the top-left corner, measured in points (pt).w, hare the width and height of the bounding box, also in points (pt).
For more information on calculating positions, see the Bounding Box Guide.
4[100, 200, 150, 50]
checkbox The unique identifier of the participant assigned to the field. Fields can only be created for participants with the signer role.
ID of the document to which this field belongs.
The page number where the field appears. Pages follow 1-based indexing, so the first page is 1.
A boolean that indicates whether the participant must complete the field.
Unique ID of the field